import 'package:diplomaticquarterapp/core/model/geofencing/responses/LogGeoZoneResponseModel.dart';

logGeoZoneResponseModelEntityFromJson(LogGeoZoneResponseModel data, Map<String, dynamic> json) {
  if (json['LanguageID'] != null) {
    data.languageID = json['LanguageID']?.toInt();
  }
  if (json['ErrorCode'] != null) {
    data.errorCode = json['ErrorCode'];
  }
  if (json['ErrorEndUserMessage'] != null) {
    data.errorEndUserMessage = json['ErrorEndUserMessage']?.toString();
  }
  if (json['ErrorEndUserMessageN'] != null) {
    data.errorEndUserMessageN = json['ErrorEndUserMessageN'];
  }
  if (json['ErrorMessage'] != null) {
    data.errorMessage = json['ErrorMessage'];
  }
  if (json['ErrorType'] != null) {
    data.errorType = json['ErrorType']?.toInt();
  }
  if (json['IsAuthenticated'] != null) {
    data.isAuthenticated = json['IsAuthenticated'];
  }
  if (json['SuccessMsg'] != null) {
    data.successMsg = json['SuccessMsg'];
  }
  if (json['SuccessMsgN'] != null) {
    data.successMsgN = json['SuccessMsgN'];
  }
  if (json['statusCode'] != null) {
    data.statusCode = json['statusCode']?.toInt();
  }
  if (json['MessageStatus'] != null) {
    data.messageStatus = json['MessageStatus']?.toInt();
  }
  return data;
}

Map<String, dynamic> logGeoZoneResponseModelEntityToJson(LogGeoZoneResponseModel entity) {
  final Map<String, dynamic> data = new Map<String, dynamic>();
  data['LanguageID'] = entity.languageID;
  data['ErrorCode'] = entity.errorCode;
  data['ErrorEndUserMessage'] = entity.errorEndUserMessage;
  data['ErrorEndUserMessageN'] = entity.errorEndUserMessageN;
  data['ErrorMessage'] = entity.errorMessage;
  data['ErrorType'] = entity.errorType;
  data['IsAuthenticated'] = entity.isAuthenticated;
  data['SuccessMsg'] = entity.successMsg;
  data['SuccessMsgN'] = entity.successMsgN;
  data['statusCode'] = entity.statusCode;
  data['MessageStatus'] = entity.messageStatus;
  return data;
}
